[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TAggregatedObject.Controller

Controlling instance

## Declaration

Source position: objpash.inc line 327

`public property TAggregatedObject.Controller : IUnknown read GetController;`

## Description

Controller exposes the controlling object, with all interfaces it has.

The value of the controller is set when the TAggregatedObject instance is created.

## See also

TAggregatedObject.Create |  | Create a new instance of TAggregatedObject